Openstack Instance is created twice

10/21/2015 08:37 AM - Florian Faltermeier
Description

Hello,

If I create a host via Openstack Compute Resource and click submit the host gets created twice.

2015-10-21 14:32:21 [app] [I]   |   | Started POST "/hosts" for 192.168.2.3 at 2015-10-21 14:32:21 +0200

2015-10-21 14:32:21 [app] [I] Processing by HostsController#create as */*

2015-10-21 14:32:21 [app] [I]   Parameters: {"utf8"=>"✓",

"authenticity_token"=>"RQLU44xs+6NO31M/vCdH2f5mqJxseSamEJflArGHzGc=", "host"=>{"name"=>"test1", "hostgroup_id"=>"11",

"compute_resource_id"=>"1", "compute_profile_id"=>"1", "environment_id"=>"4", "puppet_ca_proxy_id"=>"3",

"puppet_proxy_id"=>"4", "puppetclass_ids"=>[""], "managed"=>"true", "progress_report_id"=>"[FILTERED]",

"type"=>"Host::Managed", "interfaces_attributes"=>{"0"=>{"_destroy"=>"0", "type"=>"Nic::Managed", "mac"=>"", "identifier"=>"",

"name"=>"test1", "domain_id"=>"3", "subnet_id"=>"7", "ip"=>"", "managed"=>"0", "primary"=>"1", "provision"=>"0", "virtual"=>"0",

"tag"=>"", "attached_to"=>""}}, "compute_attributes"=>{"flavor_ref"=>"db6374f7-fffb-44d5-a423-cdc7bba09326",

"tenant_id"=>"182e5ffa6ea3424bb909e3e8aa584474", "security_groups"=>"default", "nics"=>["",

"2f86dfc3-f2da-4356-8ebb-c738c57b0298"], "network"=>"ext-public", "boot_from_volume"=>"false", "size_gb"=>"",

"image_ref"=>"ab90aca7-c0ce-46f6-abaa-7280acbffd9b"}, "architecture_id"=>"1", "operatingsystem_id"=>"1",

"provision_method"=>"image", "build"=>"1", "medium_id"=>"", "ptable_id"=>"", "disk"=>"", "root_pass"=>"[FILTERED]",

"is_owned_by"=>"4-Users", "enabled"=>"1", "model_id"=>"", "comment"=>"", "overwrite"=>"false"}, "capabilities"=>"image",

"provider"=>"Openstack"}

2015-10-21 14:32:21 [sql] [I] Rendering UserData template for test1.test.ostack.local

2015-10-21 14:32:21 [sql] [I] Remove puppet certificate for test1.test.ostack.local

2015-10-21 14:32:22 [sql] [I] Adding autosign entry for test1.test.ostack.local

2015-10-21 14:32:22 [sql] [I] Revoked old certificates and enabled autosign for UserData

2015-10-21 14:32:22 [sql] [I] Adding Compute instance for test1.test.ostack.local

2015-10-21 14:32:23 [sql] [I] Successfully decrypted field for Foreman::Model::Openstack ACINN

2015-10-21 14:32:23 [app] [I]   |   | Started GET "/tasks/ccf2dc02-97f8-4d2e-bb94-996332525dc7" for 192.168.2.3 at 2015-10-21

14:32:23 +0200

2015-10-21 14:32:23 [app] [I] Processing by TasksController#show as */*

2015-10-21 14:32:23 [app] [I]   Parameters: {"id"=>"ccf2dc02-97f8-4d2e-bb94-996332525dc7"}

2015-10-21 14:32:23 [app] [I]   Rendered tasks/_list.html.erb (0.7ms)

2015-10-21 14:32:23 [app] [I] Completed 200 OK in 9ms (Views: 3.1ms | ActiveRecord: 1.0ms)

2015-10-21 14:32:25 [app] [I]   |   | Started GET "/tasks/ccf2dc02-97f8-4d2e-bb94-996332525dc7" for 192.168.2.3 at 2015-10-21

14:32:25 +0200

2015-10-21 14:32:25 [app] [I] Processing by TasksController#show as */*

2015-10-21 14:32:25 [app] [I]   Parameters: {"id"=>"ccf2dc02-97f8-4d2e-bb94-996332525dc7"}

2015-10-21 14:32:25 [app] [I]   Rendered tasks/_list.html.erb (0.3ms)

2015-10-21 14:32:25 [app] [I] Completed 200 OK in 5ms (Views: 0.8ms | ActiveRecord: 1.1ms)

2015-10-21 14:32:26 [app] [I]   |   | Started GET "/tasks/ccf2dc02-97f8-4d2e-bb94-996332525dc7" for 192.168.2.3 at 2015-10-21

14:32:26 +0200

2015-10-21 14:32:26 [app] [I] Processing by TasksController#show as */*

2015-10-21 14:32:26 [app] [I]   Parameters: {"id"=>"ccf2dc02-97f8-4d2e-bb94-996332525dc7"}

2015-10-21 14:32:26 [app] [I]   Rendered tasks/_list.html.erb (0.3ms)

2015-10-21 14:32:26 [app] [I] Completed 200 OK in 5ms (Views: 0.8ms | ActiveRecord: 0.9ms)

2015-10-21 14:32:27 [sql] [I] Waiting for test1.test.ostack.local to become ready

2015-10-21 14:32:28 [app] [I]   |   | Started GET "/tasks/ccf2dc02-97f8-4d2e-bb94-996332525dc7" for 192.168.2.3 at 2015-10-21

14:32:28 +0200
2015-10-21 14:32:29 [app] [I] Processing by TasksController#show as */*

2015-10-21 14:32:29 [app] [I]   Parameters: {"id"=>"ccf2dc02-97f8-4d2e-bb94-996332525dc7"}

2015-10-21 14:32:29 [app] [I]   Rendered tasks/_list.html.erb (0.3ms)

2015-10-21 14:32:29 [app] [I] Completed 200 OK in 5ms (Views: 0.9ms | ActiveRecord: 0.9ms)

2015-10-21 14:32:30 [app] [I]   |   | Started GET "/tasks/ccf2dc02-97f8-4d2e-bb94-996332525dc7" for 192.168.2.3 at 2015-10-21

14:32:30 +0200

2015-10-21 14:32:30 [app] [I] Processing by TasksController#show as */*

2015-10-21 14:32:30 [app] [I]   Parameters: {"id"=>"ccf2dc02-97f8-4d2e-bb94-996332525dc7"}

2015-10-21 14:32:30 [app] [I]   Rendered tasks/_list.html.erb (0.3ms)

2015-10-21 14:32:30 [app] [I] Completed 200 OK in 5ms (Views: 0.9ms | ActiveRecord: 1.0ms)

2015-10-21 14:32:32 [app] [I]   |   | Started GET "/tasks/ccf2dc02-97f8-4d2e-bb94-996332525dc7" for 192.168.2.3 at 2015-10-21

14:32:32 +0200

2015-10-21 14:32:32 [app] [I] Processing by TasksController#show as */*

2015-10-21 14:32:32 [app] [I]   Parameters: {"id"=>"ccf2dc02-97f8-4d2e-bb94-996332525dc7"}

2015-10-21 14:32:32 [app] [I]   Rendered tasks/_list.html.erb (0.3ms)

2015-10-21 14:32:32 [app] [I] Completed 200 OK in 5ms (Views: 0.8ms | ActiveRecord: 1.0ms)

2015-10-21 14:32:34 [app] [I]   |   | Started GET "/tasks/ccf2dc02-97f8-4d2e-bb94-996332525dc7" for 192.168.2.3 at 2015-10-21

14:32:34 +0200

2015-10-21 14:32:34 [app] [I] Processing by TasksController#show as */*

2015-10-21 14:32:34 [app] [I]   Parameters: {"id"=>"ccf2dc02-97f8-4d2e-bb94-996332525dc7"}

2015-10-21 14:32:34 [app] [I]   Rendered tasks/_list.html.erb (0.4ms)

2015-10-21 14:32:34 [app] [I] Completed 200 OK in 6ms (Views: 1.1ms | ActiveRecord: 1.0ms)

2015-10-21 14:32:35 [app] [I]   |   | Started GET "/tasks/ccf2dc02-97f8-4d2e-bb94-996332525dc7" for 192.168.2.3 at 2015-10-21

14:32:35 +0200

2015-10-21 14:32:35 [app] [I] Processing by TasksController#show as */*

2015-10-21 14:32:35 [app] [I]   Parameters: {"id"=>"ccf2dc02-97f8-4d2e-bb94-996332525dc7"}

2015-10-21 14:32:35 [app] [I]   Rendered tasks/_list.html.erb (0.3ms)

2015-10-21 14:32:35 [app] [I] Completed 200 OK in 5ms (Views: 0.9ms | ActiveRecord: 0.8ms)

2015-10-21 14:32:36 [app] [I]   |   | Started POST "/hosts" for 192.168.2.3 at 2015-10-21 14:32:36 +0200

2015-10-21 14:32:36 [app] [I] Processing by HostsController#create as */*

2015-10-21 14:32:36 [app] [I]   Parameters: {"utf8"=>"✓",

"authenticity_token"=>"RQLU44xs+6NO31M/vCdH2f5mqJxseSamEJflArGHzGc=", "host"=>{"name"=>"test1", "hostgroup_id"=>"11",

"compute_resource_id"=>"1", "compute_profile_id"=>"1", "environment_id"=>"4", "puppet_ca_proxy_id"=>"3",

"puppet_proxy_id"=>"4", "puppetclass_ids"=>[""], "managed"=>"true", "progress_report_id"=>"[FILTERED]",

"type"=>"Host::Managed", "interfaces_attributes"=>{"0"=>{"_destroy"=>"0", "type"=>"Nic::Managed", "mac"=>"", "identifier"=>"",

"name"=>"test1", "domain_id"=>"3", "subnet_id"=>"7", "ip"=>"", "managed"=>"0", "primary"=>"1", "provision"=>"0", "virtual"=>"0",

"tag"=>"", "attached_to"=>""}}, "compute_attributes"=>{"flavor_ref"=>"db6374f7-fffb-44d5-a423-cdc7bba09326",

"tenant_id"=>"182e5ffa6ea3424bb909e3e8aa584474", "security_groups"=>"default", "nics"=>["",

"2f86dfc3-f2da-4356-8ebb-c738c57b0298"], "network"=>"ext-public", "boot_from_volume"=>"false", "size_gb"=>"",

"image_ref"=>"ab90aca7-c0ce-46f6-abaa-7280acbffd9b"}, "architecture_id"=>"1", "operatingsystem_id"=>"1",

"provision_method"=>"image", "build"=>"1", "medium_id"=>"", "ptable_id"=>"", "disk"=>"", "root_pass"=>"[FILTERED]",

"is_owned_by"=>"4-Users", "enabled"=>"1", "model_id"=>"", "comment"=>"", "overwrite"=>"false"}, "capabilities"=>"image",

"provider"=>"Openstack"}

2015-10-21 14:32:36 [sql] [I] Rendering UserData template for test1.test.ostack.local

2015-10-21 14:32:36 [sql] [I] Remove puppet certificate for test1.test.ostack.local

2015-10-21 14:32:37 [sql] [I] Adding autosign entry for test1.test.ostack.local

2015-10-21 14:32:37 [sql] [I] Revoked old certificates and enabled autosign for UserData

2015-10-21 14:32:37 [sql] [I] Adding Compute instance for test1.test.ostack.local

2015-10-21 14:32:37 [sql] [I] Successfully decrypted field for Foreman::Model::Openstack ACINN

2015-10-21 14:32:38 [app] [I]   |   | Started GET "/tasks/ccf2dc02-97f8-4d2e-bb94-996332525dc7" for 192.168.2.3 at 2015-10-21

14:32:38 +0200

2015-10-21 14:32:38 [app] [I] Processing by TasksController#show as */*

2015-10-21 14:32:38 [app] [I]   Parameters: {"id"=>"ccf2dc02-97f8-4d2e-bb94-996332525dc7"}

2015-10-21 14:32:39 [app] [I]   Rendered tasks/_list.html.erb (92.8ms)

2015-10-21 14:32:39 [app] [I] Completed 200 OK in 347ms (Views: 196.7ms | ActiveRecord: 4.5ms)

2015-10-21 14:32:40 [sql] [I] Waiting for test1.test.ostack.local to become ready

2015-10-21 14:32:40 [app] [I]   |   | Started GET "/tasks/ccf2dc02-97f8-4d2e-bb94-996332525dc7" for 192.168.2.3 at 2015-10-21

14:32:40 +0200

2015-10-21 14:32:40 [app] [I] Processing by TasksController#show as */*

2015-10-21 14:32:40 [app] [I]   Parameters: {"id"=>"ccf2dc02-97f8-4d2e-bb94-996332525dc7"}

2015-10-21 14:32:40 [app] [I]   Rendered tasks/_list.html.erb (0.3ms)

2015-10-21 14:32:40 [app] [I] Completed 200 OK in 4ms (Views: 0.7ms | ActiveRecord: 0.9ms)

2015-10-21 14:32:42 [app] [I]   |   | Started GET "/tasks/ccf2dc02-97f8-4d2e-bb94-996332525dc7" for 192.168.2.3 at 2015-10-21

14:32:42 +0200

2015-10-21 14:32:42 [app] [I] Processing by TasksController#show as */*

2015-10-21 14:32:42 [app] [I]   Parameters: {"id"=>"ccf2dc02-97f8-4d2e-bb94-996332525dc7"}

2015-10-21 14:32:42 [app] [I]   Rendered tasks/_list.html.erb (0.4ms)
2015-10-21 14:32:42 [app] [I] Completed 200 OK in 7ms (Views: 1.1ms | ActiveRecord: 0.9ms)

2015-10-21 14:32:44 [app] [I]   |   | Started GET "/tasks/ccf2dc02-97f8-4d2e-bb94-996332525dc7" for 192.168.2.3 at 2015-10-21

14:32:44 +0200

2015-10-21 14:32:44 [app] [I] Processing by TasksController#show as */*

2015-10-21 14:32:44 [app] [I]   Parameters: {"id"=>"ccf2dc02-97f8-4d2e-bb94-996332525dc7"}

2015-10-21 14:32:44 [app] [I]   Rendered tasks/_list.html.erb (0.3ms)

2015-10-21 14:32:44 [app] [I] Completed 200 OK in 5ms (Views: 0.8ms | ActiveRecord: 1.1ms)

2015-10-21 14:32:46 [app] [I]   |   | Started GET "/tasks/ccf2dc02-97f8-4d2e-bb94-996332525dc7" for 192.168.2.3 at 2015-10-21

14:32:46 +0200

2015-10-21 14:32:46 [app] [I] Processing by TasksController#show as */*

2015-10-21 14:32:46 [app] [I]   Parameters: {"id"=>"ccf2dc02-97f8-4d2e-bb94-996332525dc7"}

2015-10-21 14:32:46 [app] [I]   Rendered tasks/_list.html.erb (0.3ms)

2015-10-21 14:32:46 [app] [I] Completed 200 OK in 5ms (Views: 0.8ms | ActiveRecord: 0.9ms)

2015-10-21 14:32:47 [app] [I]   |   | Started GET "/tasks/ccf2dc02-97f8-4d2e-bb94-996332525dc7" for 192.168.2.3 at 2015-10-21

14:32:47 +0200

2015-10-21 14:32:47 [app] [I] Processing by TasksController#show as */*

2015-10-21 14:32:47 [app] [I]   Parameters: {"id"=>"ccf2dc02-97f8-4d2e-bb94-996332525dc7"}

2015-10-21 14:32:47 [app] [I]   Rendered tasks/_list.html.erb (0.3ms)

2015-10-21 14:32:47 [app] [I] Completed 200 OK in 5ms (Views: 0.8ms | ActiveRecord: 0.8ms)

2015-10-21 14:32:49 [app] [I]   |   | Started GET "/tasks/ccf2dc02-97f8-4d2e-bb94-996332525dc7" for 192.168.2.3 at 2015-10-21

14:32:49 +0200

2015-10-21 14:32:49 [app] [I] Processing by TasksController#show as */*

2015-10-21 14:32:49 [app] [I]   Parameters: {"id"=>"ccf2dc02-97f8-4d2e-bb94-996332525dc7"}

2015-10-21 14:32:49 [app] [I]   Rendered tasks/_list.html.erb (0.5ms)

2015-10-21 14:32:49 [app] [I] Completed 200 OK in 5ms (Views: 1.2ms | ActiveRecord: 0.9ms)

Regards,

Florian

History

#1 - 10/23/2015 04:45 AM - Florian Faltermeier

Hello,

not a bug. Increased timeout params on haproxy. Now it's working.

Please close ticket.

Regards,

Florian

#2 - 10/23/2015 04:46 AM - Dominic Cleal

- Status changed from New to Resolved

Thanks for confirming.  I guess HAProxy made the request again when it thought it timed out?
